Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Nguyen Hoanh

Viết lisp theo yêu cầu [phần 2]

Các bài được khuyến nghị

latoidayvn    1

Bạn không xem kỹ rồi. Cái mình làm ở trên là mỗi Pline sẽ ra 1 sheet, bạn kiểm tra lại nhé :) Mình cũng đã nói trước là mình k biết append, nên để mỗi Pline 1 sheet, ok ? ^^

ohh mình đã xem lại roài, rất cám ơn bạn, cái này đúng là mình ko xem kỹ ^^

ra được thế này đã là tốt lắm roài, 1 lần nữa cám ơn bạn.

Còn nếu bạn muốn tìm hiểu để làm sao nó vào 1 sheet thì hình như cái lisp coorn nó làm được đấy. Mình đang mù tịt về mấy cái này, hi vọng mấy ngày nữa nó có ty sang sáng...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442

Bạn không xem kỹ rồi. Cái mình làm ở trên là mỗi Pline sẽ ra 1 sheet, bạn kiểm tra lại nhé :) Mình cũng đã nói trước là mình k biết append, nên để mỗi Pline 1 sheet, ok ? ^^

Để nối list có thể dùng Append hay Cons cũng đuợc.

- Append : nối 2 list

(foreach pt (poly-pts ent)

(setq pt_lst (append pt_lst (list pt))) )

- Cons : thêm 1 p/tử vào vị trí đầu tiên của list

(foreach pt (poly-pts ent)

(setq pt_lst (cons pt pt_lst)) )

 

Update : Polyline Vertex to Excel

- Data đưa vào 1 sheet.

- T/hợp máy tính chưa cài Excel, lisp sẽ ghi ra file *.CSV.

(defun c:p2E(/ i ent pt_lst ss); Polyline Vertex to Excel
 (vl-load-com)
 (defun poly-pts (pl / n p l)
   (setq n (fix (vlax-curve-getEndParam pl)))
   (or (vlax-curve-IsClosed pl) (setq n (1+ n)))
   (while (setq p (vlax-curve-getPointAtParam pl (setq n (1- n))))
     (setq l (cons p l)) ))

 (if (setq ss (ssget (list (cons 0 "*POLYLINE"))))
   (progn
     (repeat (setq i (sslength ss))
(setq ent (ssname ss (setq i (1- i))))
(foreach pt (poly-pts ent)
  (setq pt_lst (append pt_lst (list pt))) )  )
     (if (vlax-get-or-create-object "Excel.Application")
(WriteToExcel pt_lst)
(WriteToCSV pt_lst) )))
 (princ))

(defun WriteToExcel (lst_data / col row x xlApp xlCells)
 (setq xlApp (vlax-get-or-create-object "Excel.Application")
xlCells (vlax-get-property
	  (vlax-get-property
	    (vlax-get-property
	      (vlax-invoke-method
		(vlax-get-property xlApp "Workbooks")
		"Add")
	      "Sheets")
	    "Item" 1)
	  "Cells"))
 (setq row 3)
 (foreach pt lst_data
   (setq col 3)
   (foreach coor pt
     (vlax-put-property xlCells 'Item row col coor)
     (setq col (1+ col)))
   (setq row (1+ row)) )
 (vla-put-visible xlApp :vlax-true)
 (mapcar
   (function (lambda (x)
	(vl-catch-all-apply (function (lambda ()(if x (vlax-release-object x)))))))
   (list xlCells xlApp))
 (gc) (gc) )

(defun WriteToCSV (lst_data / fl)  
 (if (setq fl (getfiled "Output File" "" "csv" 1))
   (if (setq fl (open fl "w"))
     (progn
(foreach pt lst_data 
  (write-line (strcat (rtos (car pt)) "," (rtos (cadr pt)) "," (rtos (caddr pt))) fl) )
(close fl) ) ) )
 (princ))

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

Để nối list có thể dùng Append hay Cons cũng đuợc.

- Append : nối 2 list

(foreach pt (poly-pts ent)

(setq pt_lst (append pt_lst (list pt))) )

- Cons : thêm 1 p/tử vào vị trí đầu tiên của list

(foreach pt (poly-pts ent)

(setq pt_lst (cons pt pt_lst)) )

 

Ô hay, bác nói e mới chợt tỉnh cơn mơ. Lúc đầu là em tư duy theo kiểu ghi 1 list ra sheet rồi, sau đó lại lấy list khác ghi nối vào (tăng row, append sheet),đâm ra húc vào tường, mà không nghĩ một cách đơn giản là nối ngay tất cả các list trong lisp rồi mới làm thao tác ghi 1 lần. Đúng là tối dạ quá mất thôi ^^

P/S : có nên cho 1 chút gì đó phân biệt giữa các Pline hok bác nhỉ ^^

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

ohh cái này lại làm công việc mình giảm đi nhiều quá,^ ^ cám ơn bạn gia_bạch và bạn ketxu

Bạn nên thanks bác gia_bach để hiện thực hóa lời cảm ơn, có nút xanh bên dưới bài viết đó :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các cao nhân, cao thủ viết giúp em lisp có chức năng như này với ạ:

 

1. Chuyển toàn bộ font chữ của tất cả các style về cùng 1 font (cái này em tìm được lisp của bác Gia_Bach rồi), giờ em muốn chuyển toàn bộ chiều cao, width factor, và góc nghiêng về cùng 1 giá trị. Ví dụ: chiều cao là 2, chiều dày là 1, góc nghiêng là 0.

2. Chuyển toàn bộ chiều cao chữ, kiểu text của toàn bộ dim style về cùng một giá trị. Ví dụ: tất cả các dim style đều có chiều cao là 2, text style là dim.

 

Cảm ơn nhiều!

 

Đây là lisp của bác Gia_Bach (đã được 1 mem edit) dùng để chuyển toàn bộ font của text về font nhập từ clipboard:

;; free lisp from cadviet.com

;;; this lisp was downloaded from http://www.cadviet.com/forum/index.php?showtopic=8999

(defun C:LENH ()

(setq tbl (tblnext "STYLE" T)

FontName (getstring "\nNhap ten file FONT can thay the: "))

(while tbl

(command "-style"

(cdr (assoc 2 tbl))

FontName

""

""

""

""

""

)

(setq tbl (tblnext "STYLE"))

)

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

1.Bạn thích từ bản của bác gia_bach thì đây :

(defun C:LENH (/ FontName tH tW tO)
(command "undo" "be")
(setq oCmd (getvar "cmdecho"))
(setvar "cmdecho" 0)
 (setq tbl (tblnext "STYLE" T)
    FontName (getstring "\nT\U+00EAn Font :")
    tH (getreal "\nChi\U+1EC1u cao Text :")
	tW (getreal "\nWidth Factor :")
	tO (getangle "\nG\U+00F3c :")
)
 (while tbl
(command "-style"
	 (cdr (assoc 2 tbl))
	 FontName
	 tH
	 tW
	 tO
	 "N"
	 "N"
	 "N"
)
(setq tbl (tblnext "STYLE"))
 )
 (setvar "cmdecho" oCmd)
 (command "undo" "en")
 (princ)
)

2.Chờ các bác khác nghỉ lễ hè ^^

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1.Bạn thích từ bản của bác gia_bach thì đây :

(defun C:LENH (/ FontName tH tW tO)
(command "undo" "be")
(setq oCmd (getvar "cmdecho"))
(setvar "cmdecho" 0)
 (setq tbl (tblnext "STYLE" T)
    FontName (getstring "\nT\U+00EAn Font :")
    tH (getreal "\nChi\U+1EC1u cao Text :")
	tW (getreal "\nWidth Factor :")
	tO (getangle "\nG\U+00F3c :")
)
 (while tbl
(command "-style"
	 (cdr (assoc 2 tbl))
	 FontName
	 tH
	 tW
	 tO
	 "N"
	 "N"
	 "N"
)
(setq tbl (tblnext "STYLE"))
 )
 (setvar "cmdecho" oCmd)
 (command "undo" "en")
 (princ)
)

2.Chờ các bác khác nghỉ lễ hè ^^

Chuẩn không cần chỉnh bạn ketxu à. Thanks bạn nhiều.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ngocnam.cad    6

các bác giúp em sửa lại lisp này với ạ.đây là lisp mà bác thaistreetz viết cho em hồi năm ngoái để chỉnh sửa trắc ngang.có một nhược điểm nhỏ là lisp này ko thể chỉnh sửa các cao độ thiết kế và khoảng cách thiết kế được mà chỉ sửa được cao độ tự nhiên và khoảng cách lẻ.Các bác làm ơn giúp em chỉnh sao cho lisp có thể sửa được cả các cọc thiết kế và khoảng cách tk. em đã gửi kèm cả file ví dụ. Mong các bác giúp em, cám ơn các bác nhiều nhiều. Đây là file của em ạ.http://www.cadviet.com/upfiles/3/edtn.rar

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Pro nào viết giúp em cái lisp hiệu chỉnh tất cả các dimstyle với ạ. Ví dụ như đưa tất cả chiều cao chữ dim về giống nhau, và bằng 2. Kiểu chữ dim là font arial. Kiểu mũi tên đặc, kích thước mũi tên là 1,8. Thank các bác nhiều ợ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Pro nào viết giúp em cái lisp hiệu chỉnh tất cả các dimstyle với ạ. Ví dụ như đưa tất cả chiều cao chữ dim về giống nhau, và bằng 2. Kiểu chữ dim là font arial. Kiểu mũi tên đặc, kích thước mũi tên là 1,8. Thank các bác nhiều ợ.

Bạn ợ!

Sao bạn không chọn đối tượng trước rồi sử dụng lệnh MO (Ctrol+1) để chỉnh 1 loạt luôn

Lạm dụng Lisp nhiều thì không nên đâu bạn ợ!

Bên cạnh đó, Có 1 lệnh hiệu chỉnh DIM rất hay là lệnh DIMOVERRIDE (tắt là DOV), bạn đã sử dụng thử chưa?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn ợ!

Sao bạn không chọn đối tượng trước rồi sử dụng lệnh MO (Ctrol+1) để chỉnh 1 loạt luôn

Lạm dụng Lisp nhiều thì không nên đâu bạn ợ!

Bên cạnh đó, Có 1 lệnh hiệu chỉnh DIM rất hay là lệnh DIMOVERRIDE (tắt là DOV), bạn đã sử dụng thử chưa?

Dạ, lệnh MO thì áp dụng với tất cả các dim chọn, và sau khi chỉnh thì nó là chiều cao thực. Nhưng em có quá nhiều dimstyle, mỗi dimstyle có 1 scale riêng (tỷ l riêng), nên nó sẽ lấy chiều cao ban đầu, rồi scale lên bác Tue à. Ví dụ dim 1-1 thì text heigh là 2, dim 1-2 thì text heigh lại là 4. Em mà dùng lệnh MO thì cả dim 1 và 2 sẽ có cùng chiều cao.

Lệnh DOV thì em chưa biết dùng.

 

Em có tìm hiểu, thì em cần giá trị "dimtxt" của tất cả các dimstyle đều bằng nhau. Nhưng em không biết làm sao cả.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Dạ, lệnh MO thì áp dụng với tất cả các dim chọn, và sau khi chỉnh thì nó là chiều cao thực. Nhưng em có quá nhiều dimstyle, mỗi dimstyle có 1 scale riêng (tỷ l riêng), nên nó sẽ lấy chiều cao ban đầu, rồi scale lên bác Tue à. Ví dụ dim 1-1 thì text heigh là 2, dim 1-2 thì text heigh lại là 4. Em mà dùng lệnh MO thì cả dim 1 và 2 sẽ có cùng chiều cao.

Lệnh DOV thì em chưa biết dùng.

 

Em có tìm hiểu, thì em cần giá trị "dimtxt" của tất cả các dimstyle đều bằng nhau. Nhưng em không biết làm sao cả.

Chào bạn tranduyquang25111

Khi Dim scale Overall khác nhau thì dùng lệnh MO thì cả dim 1 và 2 không thể có cùng chiều cao được. Giá trị của chiều cao trong Text height của Dim sẽ được nhân với hệ số Dim scale Overall này.

Tue_NV gửi file cho bạn xem :

http://www.cadviet.com/upfiles/3/dim.dwg

Bạn thử đổi chiều cao Text height của Dim trong file mà Tue_NV gửi sẽ chứng minh điều mà mình đang nói

Còn nếu muốn đưa dim về có cùng chiều cao cũng không khó -> Chỉnh Dim scale Overall về 1 giá trị bằng nhau là được.

Lệnh DOV thì mình có viết một số bài trên diễn đàn rồi. Bạn chịu khó tìm đọc nhe

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ngocnam.cad    6

các bác giúp em sửa lại lisp này với ạ.đây là lisp mà bác thaistreetz viết cho em hồi năm ngoái để chỉnh sửa trắc ngang.có một nhược điểm nhỏ là lisp này ko thể chỉnh sửa các cao độ thiết kế và khoảng cách thiết kế được mà chỉ sửa được cao độ tự nhiên và khoảng cách lẻ.Các bác làm ơn giúp em chỉnh sao cho lisp có thể sửa được cả các cọc thiết kế và khoảng cách tk. em đã gửi kèm cả file ví dụ. Mong các bác giúp em, cám ơn các bác nhiều nhiều. Đây là file của em ạ.

http://www.cadviet.com/upfiles/3/edtn.rar

Các bác ơi . giúp em với ạ ! hic

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào bạn tranduyquang25111

Khi Dim scale Overall khác nhau thì dùng lệnh MO thì cả dim 1 và 2 không thể có cùng chiều cao được. Giá trị của chiều cao trong Text height của Dim sẽ được nhân với hệ số Dim scale Overall này.

Tue_NV gửi file cho bạn xem :

http://www.cadviet.com/upfiles/3/dim.dwg

Bạn thử đổi chiều cao Text height của Dim trong file mà Tue_NV gửi sẽ chứng minh điều mà mình đang nói

Còn nếu muốn đưa dim về có cùng chiều cao cũng không khó -> Chỉnh Dim scale Overall về 1 giá trị bằng nhau là được.

Lệnh DOV thì mình có viết một số bài trên diễn đàn rồi. Bạn chịu khó tìm đọc nhe

Đúng rồi bác Tue à. Do em hiểu biết ít. Dùng MO thì chỉnh được. Nhưng trong dim manager vẫn hiện thông số cũ. Khi đo kích thước mới, lại phải MO tiếp...

 

Mà nhân tiện bác Tue chỉnh cái lisp đánh số thứ tự bản vẽ của bác theo ý được không ợ. Lisp của bác em tải ở đây

 

Lisp này xuất ra kết quả "Bản vẽ số: 1/n". Giờ bác chỉnh, khi xuất kết quả có thể tùy chọn 1 trong 2 kết quả:

1. "Bản vẽ số: 1/n" (như cũ)

2. "Bản vẽ số: 01/n" khi n<10 được không ợ (khi cần sẽ dùng)

 

Cảm ơn bác nhiều ợ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ngocnam.cad    6

các bác giúp em sửa lại lisp này với ạ.đây là lisp mà bác thaistreetz viết cho em hồi năm ngoái để chỉnh sửa trắc ngang.có một nhược điểm nhỏ là lisp này ko thể chỉnh sửa các cao độ thiết kế và khoảng cách thiết kế được mà chỉ sửa được cao độ tự nhiên và khoảng cách lẻ.Các bác làm ơn giúp em chỉnh sao cho lisp có thể sửa được cả các cọc thiết kế và khoảng cách tk. em đã gửi kèm cả file ví dụ. Mong các bác giúp em, cám ơn các bác nhiều nhiều. Đây là file của em ạ.http://www.cadviet.com/upfiles/3/edtn.rar

Các bác cao thủ về lisp và nova giúp em với ạ. !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
letrieuvt    0

Nói ra hơi xấu hổ các bác ạ, em tốt nghiệp rồi mà cũng vẫn chỉ đi dùng lisp do người khác viết mà chẳng hiểu tí tạo nào về lisp. Em cũng tìm kiếm trên mạng mấy ngày nhưng chưa thấy gì tiến triển. Anh em tốt bụng có bài giảng hay chương trình nào hay dạy về autolisp không? cho em xin...rồi e sẽ cố gắng trở thành thành viên trung thành của toppic này...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
latoidayvn    1

Nhờ các bác viết cho 1 cái lisp như thế này.

Em có 1 bản vẽ gồm nhiều đường pline, 3dpline...

Trong bản vẽ thì có đường có độ cao Z=a , có đường lại để độ cao Z=0

Bây giờ em muốn lệnh mà chỉ hiện các đường có độ cao Z=a lên hoặc những đường có độ cao Z=0 lên mà thôi, nếu ko hiện kiểu thế được thì có thể xóa fần Z=0 lại khi lấy fần Z=a và ngược lại.

Cám ơn trước!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
minhngockt    5

Nhờ các bác viết cho 1 cái lisp như thế này.

Em có 1 bản vẽ gồm nhiều đường pline, 3dpline...

Trong bản vẽ thì có đường có độ cao Z=a , có đường lại để độ cao Z=0

Bây giờ em muốn lệnh mà chỉ hiện các đường có độ cao Z=a lên hoặc những đường có độ cao Z=0 lên mà thôi, nếu ko hiện kiểu thế được thì có thể xóa fần Z=0 lại khi lấy fần Z=a và ngược lại.

Cám ơn trước!

 

Theo tôi bạn có thể dùng lệnh quick select để chọn được đối tượng pl có cao độ rồi đặt riêng cho nó 1 layer là được mà,sau đó dùng lệnh layon,layoff,layiso để muốn mở hay tắt các pl đó

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

Nói ra hơi xấu hổ các bác ạ, em tốt nghiệp rồi mà cũng vẫn chỉ đi dùng lisp do người khác viết mà chẳng hiểu tí tạo nào về lisp. Em cũng tìm kiếm trên mạng mấy ngày nhưng chưa thấy gì tiến triển. Anh em tốt bụng có bài giảng hay chương trình nào hay dạy về autolisp không? cho em xin...rồi e sẽ cố gắng trở thành thành viên trung thành của toppic này...

Hy vọng sẽ thành sự thật ^^ Hy vọng bạn hiện thực hóa lời hứa giống ketxu đang cố gắng(tự sướng 1 tí ^^). Nếu bạn có 1 tí vốn Tiếng Anh thì help Develop của CAD là tài liệu cơ sở rất tốt. Còn không, bạn chỉ cần search từ Học Lisp thì sẽ có rất nhiều thứ dành cho bạn ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
latoidayvn    1

Theo tôi bạn có thể dùng lệnh quick select để chọn được đối tượng pl có cao độ rồi đặt riêng cho nó 1 layer là được mà,sau đó dùng lệnh layon,layoff,layiso để muốn mở hay tắt các pl đó

cám ơn bạn đã chỉ dẫn, nhưng mà các đường cao đó nằm xen kẽ nhau,lai nhiều đường thì cái đó mình nghĩ ko tiện.

Nếu mà có thể bạn hướng dãn mình cách làm chọn tất cả các đường rồi nó tu fân loại cho mình cái nào có độ cao, cai nào chưa có để ẩn, hiện hoặc xoá đi 1 trong 2 cái đó thì ổn quá.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

cám ơn bạn đã chỉ dẫn, nhưng mà các đường cao đó nằm xen kẽ nhau,lai nhiều đường thì cái đó mình nghĩ ko tiện.

Nếu mà có thể bạn hướng dãn mình cách làm chọn tất cả các đường rồi nó tu fân loại cho mình cái nào có độ cao, cai nào chưa có để ẩn, hiện hoặc xoá đi 1 trong 2 cái đó thì ổn quá.

VD: bạn muốn chọn tập hợp e gồm các đường có cùng cao độ Z thì ghi như sau:

(setq e (ssget '((38 . Z))))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
minhngockt    5

cám ơn bạn đã chỉ dẫn, nhưng mà các đường cao đó nằm xen kẽ nhau,lai nhiều đường thì cái đó mình nghĩ ko tiện.

Nếu mà có thể bạn hướng dãn mình cách làm chọn tất cả các đường rồi nó tu fân loại cho mình cái nào có độ cao, cai nào chưa có để ẩn, hiện hoặc xoá đi 1 trong 2 cái đó thì ổn quá.

bạn có thể gửi bản vẽ của bạn lên cho mọi nguời tham khảo được ko?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cao nhân nào viết giúp em lisp có chức năng như sau với ạ.

Lisp thứ nhất: Chọn text theo thuộc tính (như lệnh fi của cad), rồi thêm %%u (gạch chân) cho các text đã chọn đó. Lisp thêm text thì có thể thêm được chuỗi %%u nhưng lại phải pick text, mà text lọc ra theo thuộc tính khó quá. Em có thể dùng fi lọc ra text cần gạch chân rồi, nhưng không áp dụng với lệnh thêm text được.

Lisp thứ 2: Replace tolerace của cad (giống find), vì e thử find thì nó không nhận được tolerance.

 

Cái nữa là cho e hỏi, e dùng find để thay thế dấu chấm thành dấu phẩy, nhưng khoảng trắng " " giữa các chữ cũng thành dấu phẩy luôn. Không biết Dtext cấu trúc kiểu gì, mà hiểu khoảng trắng thành dấu chấm nữa.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

Cao nhân nào viết giúp em lisp có chức năng như sau với ạ.

Lisp thứ nhất: Chọn text theo thuộc tính (như lệnh fi của cad), rồi thêm %%u (gạch chân) cho các text đã chọn đó. Lisp thêm text thì có thể thêm được chuỗi %%u nhưng lại phải pick text, mà text lọc ra theo thuộc tính khó quá. Em có thể dùng fi lọc ra text cần gạch chân rồi, nhưng không áp dụng với lệnh thêm text được.

Lisp thứ 2: Replace tolerace của cad (giống find), vì e thử find thì nó không nhận được tolerance.

 

Cái nữa là cho e hỏi, e dùng find để thay thế dấu chấm thành dấu phẩy, nhưng khoảng trắng " " giữa các chữ cũng thành dấu phẩy luôn. Không biết Dtext cấu trúc kiểu gì, mà hiểu khoảng trắng thành dấu chấm nữa.

Thứ 1 : Bạn hãy dùng Qselect hoặc Fi để lọc text trước khi thực hiện lisp thêm text.

Thứ 2 : đã có lisp trên diễn đàn. Bạn hãy tận dụng chức năng của Google và Tool Tìm kiếm của diễn đàn trước khi hỏi lại :)

Tolerance

 

Thứ cái nữa : chắc phải hỏi bác AutoDesk. Vì cái dấu . bạn cho vào Find String nó cũng trùng với wildcard của CAD, có nghĩa tương đương với chọn các ký tự non-alphanumeric, chẳng may khoảng trắng cũng đáp ứng được nhu cầu ^^

Để thao tác với dấu ., bạn thử thêm dấu ` đằng trước xem sao :)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Khách
Chủ đề này bây giờ đã bị đóng lại để trả lời thêm.

×